class 'l_20_Water_wheel_Blacksmith_HP' (PlayField)

function l_20_Water_wheel_Blacksmith_HP:__init(game_scene, name)
	PlayField.__init(self, game_scene, name)

	self:generateTasks()	
end

function l_20_Water_wheel_Blacksmith_HP:generateTasks()
	self:getHOLogic():defineToolFindOrder('01_fishing_net', '01_harpoon')
	
	self:init_HP()

    self:registerFirstPass()
    if not IsToolFound('01_harpoon') and  IsToolFound('01_fishing_net') then
  	   self:registerSecondPass()
     --  self:entityHide('')
    end

	self:getHOLogic():start()
end

function l_20_Water_wheel_Blacksmith_HP:init_HP()

	-- zoom -------------------------------------------------------------
	self.zoom_water = self:createZoomZone('Water')
	self.zoom_stove = self:createZoomZone('Stove')

	-- BBT --------------------------------------------------------------
	self:registerBBT('area_bbt_drop_axe', 'BBT_20_HP_DROP_AXE')
	---------------------------------------------------------------------
	
    self:entityHide('nut_2_1','nut_2_2','nut_2_3','nut_2_4','area_zoom_Stove')
    self:entityHide('avtogen','box_2','box_2_open')
    self:entityHide('can','cane_open_2', 'axe','axe_shadow','no_water','pipe_2')
    self:entityHide('chain_1','form_1','form_2','wire_2')
    self:entityHide('fusebox_open','ladder_2', 'pipe_2','switch_2')
    self:entityHide('area_drop_key','area_drop_key', 'area_drop_axe', 'area_drop_switch', 'area_click_grate', 'area_drop_ladder', 'area_drop_pipe', 'pipe_2','switch_2', 'area_click_switch')
    self:entityHide('area_drop_wrench_1','area_drop_wrench_2','area_drop_wrench_3','area_drop_wrench_4','area_click_handle')

    -- compositions 
    --self:entityHide('compositionConveer')

    -- for second pass --------------------------------------------------
    self:entityHide('cane_open_1','area_drop_can_opener','area_click_handkerchief',
    		'area_drop_cane_open_1','switcher','area_click_switcher','area_drop_hook','area_drop_avtogen')

    self:getEntityNamed('key'):setRespondable(false)
    self:getEntityNamed('wrench'):setRespondable(false)
    self:getEntityNamed('pipe_1'):setRespondable(false)
 	--self:getEntityNamed(''):getEntityNamed(''):getElementByName(''):setOpacity(0)
end

function l_20_Water_wheel_Blacksmith_HP:registerFirstPass()
	-- -- 1st visit ------------------------------------------------
	self:entityHide('area_zoom_Stove','area_click_pan')
	-------------------------------------------------------------
	do -- click coal
		local function on_click_coal( e )
			self:getEntityNamed('key'):setRespondable(true)
			self:entityHide('area_click_coal')
			if not e.save then
				self:entityFadeHide('coal')
			else
				self:entityHide('coal')
			end
		end
		
		self:registerActiveObject('area_click_coal', on_click_coal)
	end

	do -- ladder
		local function onFindLadder( e )
			self:entityShow('area_drop_ladder')
			self:entityShow('area_drop_key')
		end

		local function onDropLadder( e )
			
		    self:entityHide(e.targetName )
		    self:entityHide('area_bbt_drop_axe')
            self:entityShow('area_drop_axe')
		    if e.save then
                self:entityShow('ladder_2')
            else 				
            	self:entityFadeShow('ladder_2')
            end
		end

		self:getHOLogic():registerTask(1, 'tool_ladder', 'ladder_1','area_drop_ladder', onDropLadder, onFindLadder, nil, nil)
	end	
	
	do -- key
		local function onFindKey( e )
		end

		local function onDropKey( e )
		--  self:getEntityNamed('Banka_s_myrovyami'):setRespondable(true)
		    self:entityHide(e.targetName )
            self:entityShow('area_drop_switch')
		    if e.save then
		    	self:entityShow('fusebox_open')
            else 
             	self:entityFadeShow('fusebox_open')
            end
		end

		self:getHOLogic():registerTask(1, 'tool_key', 'key','area_drop_key', onDropKey, onFindKey, nil, nil)
	end	

	do -- switch
		local function onFindSwitch( e )
          --  self:entityShow('area_drop_switch')
		end

		local function onDropSwitch( e )
		    self:entityHide(e.targetName )
		    self:entityShow('area_click_switch')
		    if e.save then
		 	   self:entityShow('switch_2')
		 	--   
            else 
           		self:entityFadeShow('switch_2')
           	--	
            end
		end

		self:getHOLogic():registerTask(1, 'tool_switch', 'switch_1','area_drop_switch', onDropSwitch, onFindSwitch, nil, nil)
	end	

	do -- click switch
		local function on_click_switch( e )
			self:entityHide('area_click_switch')
			self:getEntityNamed('switch_2'):setScaleY(-1)
			self:getEntityNamed('switch_2'):setY(420)
			self:getEntityNamed('switch_2'):setX(490)
			self:getEntityNamed('switch_2'):setRotationDeg(-5)	
			if not e.save then
				local conveer = self:getEntityNamed('compositionConveer')
				conveer:play()
				conveer.onFinish:add(function() 
		        					self:entityShow('axe','axe_shadow')
		        					self:getEntityNamed('compositionConveer'):hide()
		        					end)
			else
				self:entityShow('axe','axe_shadow')
			end
		end
		
		self:registerActiveObject('area_click_switch', on_click_switch)
	end

	do -- axe
		local function onFindAxe( e )
			self:entityHide('axe_shadow')
		end

		local function onDropAxe( e )
		    self:entityHide(e.targetName )
           -- self:entityShow('area_drop_axe')
		    if not e.save then
		  		self:entityHide('wrench')
            	self:entityFadeHide('planking')
		    	local axeDroped = self:getEntityNamed('compositionTopor')
		    	axeDroped:play()
				axeDroped.onFinish:add(function() 
										self:entityShow('wrench')
		 								self:getEntityNamed('wrench'):setRespondable(true)
		        						self:getEntityNamed('compositionTopor'):rewind(true)
		        						self:getEntityNamed('compositionTopor'):getElementByName('tool_snapper'):hide()
		        						self:getEntityNamed('compositionTopor'):setVisible(false)
		        					end)
            else 
            	self:entityShow('wrench')
            	self:getEntityNamed('wrench'):setRespondable(true)
            	self:getEntityNamed('compositionTopor'):setVisible(false)
		    	self:entityHide('planking')
            end
		end

		self:getHOLogic():registerTask(1, 'tool_axe', 'axe','area_drop_axe', onDropAxe, onFindAxe,nil, nil)
	end	

	do -- axe
		local apply_wrench_counter = 4	
		
		local function onFindWrench ( e )
			self:entityShow('area_drop_wrench_1','area_drop_wrench_2','area_drop_wrench_3','area_drop_wrench_4')
			self:entityHide('wrench')
		end

		local function onDropWrench ( e )
   			local i = string.sub(e.target:getName(), -1)
		    self:entityHide(e.targetName)
            if not e.save then
		    	local animWrench = self:getEntityNamed('compositiongaika_' .. i)
		    	animWrench:play()
				animWrench.onFinish:add(function() 
							 			self:entityFadeHide('nut_1_'..i)
							 			self:entityFadeShow('nut_2_'..i)
		        					end)
            else 


    			 self:entityHide('nut_1_'..i)
    			 self:entityShow('nut_2_'..i)
            end
            apply_wrench_counter = apply_wrench_counter - 1
            
            if apply_wrench_counter<=0 then
	        	self:entityShow('area_click_grate')
	   		end
		end
		
		self:getHOLogic():registerTask(1, 'tool_wrench', 'wrench', {'area_drop_wrench_1','area_drop_wrench_2', 'area_drop_wrench_3','area_drop_wrench_4'} , onDropWrench, onFindWrench,nil, nil)
	end	

	do -- click grate
		local function on_click_grate( e )
			self:getEntityNamed('pipe_1'):setRespondable(true)
			self:entityHide('area_click_grate')
			
			if not e.save then
				self:entityFadeHide('grate')
			else
				self:entityHide('grate')
			end
		end
		
		self:registerActiveObject('area_click_grate', on_click_grate)
	end

	do -- pipe
		local function onFindPipe( e )
            self:entityShow('area_drop_pipe')
		end

		local function onDropPipe( e )
		    self:entityHide(e.targetName )
		    self:entityShow('ower_water','reflection','area_click_handle')
		    if e.save then
		    	self:entityHide('pipe_1')
		    	self:entityShow('pipe_2')
            else 
            	self:entityFadeHide('pipe_1')
            	self:entityFadeShow('pipe_2')
            end
		end

		self:getHOLogic():registerTask(1, 'tool_pipe', 'pipe_1','area_drop_pipe', onDropPipe, onFindPipe,nil, nil)
	end	

	do -- click handle
		local function on_click_handle( e )
			self:entityHide('area_click_handle')
			self:entityHide('20_HP_Z_Water_bg')
			if not e.save then
				local animNasos = self:getEntityNamed('compositionNasos')
				animNasos:play()
				self:entityHide('pump_hand')
				animNasos.onFinish:add(function()  
										self:getEntityNamed('compositionNasos'):setVisible(false)
										self:getEntityNamed('compositionboloto'):setVisible(false)
										self:getEntityNamed('pipe_2'):setOrder(50)
										self:entityFadeShow('no_water','under_water')
										self:entityFadeHide('water')
										self:entityShow('pump_hand')
							 		end)
			else
				self:entityShow('no_water','under_water')
				self:getEntityNamed('compositionNasos'):setVisible(false)
				self:getEntityNamed('compositionboloto'):setVisible(false)
				self:getEntityNamed('pipe_2'):setOrder(50)
				self:entityHide('water')
			end
		end
		
		self:registerActiveObject('area_click_handle', on_click_handle)
	end

	do -- find first tool
		function onFindTool( e )
			self.zoom_water:closeAndDisable()	
		end
		self:getHOLogic():registerTask(1, 'tool_some_tool', 'some_tool', nil, onFindTool, nil,nil, nil)
	end	

end

function l_20_Water_wheel_Blacksmith_HP:registerSecondPass()
	
 		self:entityShow('area_click_handkerchief','area_drop_cane_open_1','area_drop_avtogen')
		self:entityShow('can_opener')

		self:entityHide('area_zoom_Water')	
		self:entityHide('area_zoom_Stove')
		self:entityHide('forma','lava','chain_2','area_click_pan','chain_11','pan_2')
		
		self:getEntityNamed('avtogen'):setRespondable(false)
		self:getEntityNamed('form_1'):setRespondable(false)
		self:getEntityNamed('hook'):setRespondable(false)
	do -- click handkerchief
		local function on_click_handkerchief( e )
			self:entityShow('area_drop_can_opener')
			self:entityHide('area_click_handkerchief')
			
			if not e.save then
				self:entityFadeShow('can')
				self:entityFadeHide('handkerchief')
			else
				self:entityShow('can')
				self:entityHide('handkerchief')
			end
		end
		
		self:registerActiveObject('area_click_handkerchief', on_click_handkerchief)
	end

	do -- can-opener
		local function onFindCanOpener( e )
        end

		local function onDropCanOpener( e )
		    self:entityHide(e.targetName )
		    
		    if e.save then
		    	self:entityHide('can')
		    	self:entityShow('cane_open_1')
            else 
            	self:entityFadeHide('can')
            	self:entityFadeShow('cane_open_1')
            end
		 	self:getEntityNamed('cane_open_1'):setRespondable(true)
		end

		self:getHOLogic():registerTask(2, 'tool_can-opener', 'can_opener','area_drop_can_opener', onDropCanOpener, onFindCanOpener, nil, nil)
	end	
	
	do -- can-opener
		local function onFindCanOpen_1 ( e )
        end

		local function onDropCanOpen_1 ( e )
		    self:entityHide(e.targetName )
	  	    self:getEntityNamed('compositioncat_idle'):hide()
		    if e.save then
	  	    	self:entityShow('cane_open_2','switcher')
	  	    	self:entityShow('area_click_switcher')
            else 
	  			--   catAnimation()   
	  			local animCat = self:getEntityNamed('compositioncat_eats')
				animCat:play()			
				animCat.onFinish:add(function()  
										self:entityShow('area_click_switcher')
							 		end)
            end
		end

		self:getHOLogic():registerTask(2, 'tool_can', 'cane_open_1','area_drop_cane_open_1', onDropCanOpen_1, onFindCanOpen_1,nil, nil)
	end	

	do -- click switcher
		local function on_click_switcher( e )
			local time_ch = 0.5

			self:entityHide(e.targetName , 'area_click_handkerchief','area_click_switcher')
			self:entityShow('area_drop_hook')
			self:entityHide('box_1','wire_1')
		
			if not e.save then
				local animSwither = self:getEntityNamed('compositionsafe')
				animSwither:play()
				
				animSwither.onFinish:add(function()  								
										self:entityShow('avtogen','wire_2','box_2')
										self:getEntityNamed('compositionsafe'):setVisible(false)
										self:getEntityNamed('avtogen'):setRespondable(true)
										--self:getEntityNamed('avtogen'):ChangeOpacity(0, 1, 0.5, time_ch)
							 		end)
			else
				self:entityShow('avtogen','box_2','wire_2')
				self:getEntityNamed('compositionsafe'):setVisible(false)
				self:getEntityNamed('avtogen'):setRespondable(true)
			end
		end
		
		self:registerActiveObject('area_click_switcher', on_click_switcher)
	end
	

	do -- avtogen
		local function onFindAvtogen ( e )
        end

      	local function onDropAvtogen ( e )
		    self:entityHide(e.targetName )
		    if e.save then
	  	    	self:entityHide('hook','compositionHook')
                if not IsTaskObjectFound(self:getName(), 'tool_hook') then
                        self:getHOLogic():onObjectFound('tool_hook')
                 end
            else 
     --       	   self:playSound('')
     			self:entityFadeHide('hook','compositionHook')
     			self:getHOLogic():onObjectFound('tool_hook')
            end
		end

		self:getHOLogic():registerTask(2, 'tool_avtogen', 'avtogen','area_drop_avtogen', onDropAvtogen, onFindAvtogen,nil, nil)
	end	

	do -- hook
		local function onFindHook ( e )
        end

      	local function onDropHook ( e )
		 	self:getEntityNamed('form_1'):setRespondable(true)
		    self:entityHide(e.targetName )
		    self:entityShow('area_zoom_Stove')
		    if e.save then
		    	self:entityHide('box_2')
		    	self:entityShow('box_2_open','form_1')
            else 
            	self:entityFadeHide('box_2')
		    	self:entityFadeShow('box_2_open','form_1')
            end
		end

		self:getHOLogic():registerTask(2, 'tool_hook', 'hook','area_drop_hook', onDropHook, onFindHook,nil, nil)
	end	

	do -- form
		local function onFindForm ( e )
        end

      	local function onDropForm ( e )
	--	 	self:getEntityNamed('form_1'):setRespondable(true)
		    self:entityHide(e.targetName )
		    self:entityShow('area_click_pan')
		    if e.save then
	  	       self:entityShow('forma')
	        else 
            	 self:entityFadeShow('forma')
            end
		end

		self:getHOLogic():registerTask(2, 'tool_form', 'form_1', 'area_drop_form_1', onDropForm, onFindForm,nil, nil)
	end	

	do -- click pan
		local function on_click_pan ( e )
			 self:entityHide(e.targetName)
			if not e.save then
				self:entityFadeShow('pan_2','lava')
				self:entityFadeHide('pan_1')
				self:entityFadeShow('chain_11')
				self.timer:add( function() 
					self:entityShow('chain_2')
					self:entityFadeHide('pan_2','lava')
					self:entityFadeShow('pan_1')
					self:getEntityNamed('chain_2'):ChangeOpacity(0, 1, 2)
					self:getEntityNamed('chain_11'):ChangeOpacity(1, 0, 2)
			end, 2)
			else
				self:entityShow('pan_2','lava')
				self:entityHide('pan_2','chain_11','lava')
				self:entityShow('chain_2')
			end

		end 

		self:registerActiveObject('area_click_pan', on_click_pan)
	end
	
	do
		function onFindTool( e )
			self.zoom_stove:closeAndDisable()	
		end
		self:getHOLogic():registerTask(2, 'tool', 'chain_2', nil, onFindTool, nil,nil, nil)
	end

end



























function l_20_Water_wheel_Blacksmith_HP:OnUpdate(dt)
end

function l_20_Water_wheel_Blacksmith_HP:OnAllItemsFound()
end

function l_20_Water_wheel_Blacksmith_HP:OnObjectMouseEnter(object)
end

function l_20_Water_wheel_Blacksmith_HP:OnObjectMouseLeave(object)
end

function l_20_Water_wheel_Blacksmith_HP:OnScreenObjectMouseDown(object, key)
end

function l_20_Water_wheel_Blacksmith_HP:OnObjectMouseDownProcessed(is_wrong_click)
end

function l_20_Water_wheel_Blacksmith_HP:OnMouseMove(previous_pos, current_pos)
end

function l_20_Water_wheel_Blacksmith_HP:OnObjectMouseUp(object)
end

function l_20_Water_wheel_Blacksmith_HP:OnObjectFound(object)
end

function l_20_Water_wheel_Blacksmith_HP:OnToolFound(tool)
end

function l_20_Water_wheel_Blacksmith_HP:OnToolApply(tool, object)
end

function l_20_Water_wheel_Blacksmith_HP:OnToolAddToInventory(tool)
end

function l_20_Water_wheel_Blacksmith_HP:OnObjectReachPanel(object)
end

function l_20_Water_wheel_Blacksmith_HP:OnButtonPress(title)
end

function l_20_Water_wheel_Blacksmith_HP:OnSetTool(tool)
end

function l_20_Water_wheel_Blacksmith_HP:OnLoaded()
end

function l_20_Water_wheel_Blacksmith_HP:OnDestroy()
end

--------------------------------------------------------------------------------
--                      GENERATED CONTENT. DO NOT EDIT.                       --
--------------------------------------------------------------------------------

function l_20_Water_wheel_Blacksmith_HP:CreateLoaderTable()
	local objects =
	{
		{ name = 'Bg',  entityType = 'SpriteEntity',  x = 512,  y = 384,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/Bg.jpg',  width = 1366,  height = 768,  },
		{ name = 'ladder_1',  entityType = 'SpriteEntity',  x = 569,  y = 457,  order = 7,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/ladder_1.png',  width = 250,  height = 344,  },
		{ name = 'switch_1',  entityType = 'SpriteEntity',  x = 257,  y = 524,  order = 10,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/switch_1.png',  width = 126,  height = 86,  },
		{ name = 'planking',  entityType = 'SpriteEntity',  x = 167,  y = 221,  order = 5,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/planking.png',  width = 186,  height = 184,  },
		{ name = 'box_1',  entityType = 'SpriteEntity',  x = 516,  y = 124,  order = 5,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/box_1.png',  width = 152,  height = 128,  },
		{ name = 'grate',  entityType = 'SpriteEntity',  x = 920,  y = 465,  order = 3,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/grate.png',  width = 240,  height = 324,  },
		{ name = 'hook',  entityType = 'SpriteEntity',  x = 53,  y = 230,  order = 21,  isVisible = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/hook.png',  width = 60,  height = 278,  },
		{ name = 'pump_hand',  entityType = 'SpriteEntity',  x = 672,  y = 436,  order = 5,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/punp_hand.png',  width = 118,  height = 104,  },
		{ name = 'nut_1_1',  entityType = 'SpriteEntity',  x = 827,  y = 348,  order = 4,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/nut_a_1.png',  width = 126,  height = 120,  },
		{ name = 'conveer',  entityType = 'SpriteEntity',  x = 395,  y = 433,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/conveer.png',  width = 268,  height = 284,  },
		{ name = 'nut_1_2',  entityType = 'SpriteEntity',  x = 1020,  y = 364,  order = 4,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/nut_b_1.png',  width = 116,  height = 106,  },
		{ name = 'nut_1_3',  entityType = 'SpriteEntity',  x = 839,  y = 533,  order = 4,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/nut_c_1.png',  width = 108,  height = 102,  },
		{ name = 'nut_1_4',  entityType = 'SpriteEntity',  x = 993,  y = 565,  order = 4,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/nut_d_1.png',  width = 110,  height = 104,  },
		{ name = 'rope',  entityType = 'SpriteEntity',  x = 81,  y = 100,  order = 5,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/rope.png',  width = 146,  height = 200,  },
		{ name = 'can',  entityType = 'SpriteEntity',  x = 439,  y = 296,  order = 5,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/can.png',  width = 74,  height = 100,  },
		{ name = 'cane_open_2',  entityType = 'SpriteEntity',  x = 798,  y = 195,  order = 5,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/cane_open_2.png',  width = 56,  height = 88,  },
		{ name = 'chains_bg',  entityType = 'SpriteEntity',  x = 886,  y = 71,  order = 10,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/chains_bg.png',  width = 164,  height = 142,  },
		{ name = 'ladder_2',  entityType = 'SpriteEntity',  x = 234,  y = 340,  order = 10,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/ladder_2.png',  width = 148,  height = 250,  },
		{ name = 'wrench',  entityType = 'SpriteEntity',  x = 160,  y = 210,  order = 3,  scale = 0.84,  editingLocked = false,  treeItemIsExpanded = false,  hotSpot = {x = 71, y = 34},  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/snapper.png',  width = 142,  height = 74,  },
		{ name = 'switch_2',  entityType = 'SpriteEntity',  x = 488,  y = 359,  order = 13,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/switch_2.png',  width = 48,  height = 80,  },
		{ name = 'axe',  entityType = 'SpriteEntity',  x = 430,  y = 566,  order = 8,  angle = 2,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/axe.png',  width = 158,  height = 96,  },
		{ name = 'axe_shadow',  entityType = 'SpriteEntity',  x = 435,  y = 576,  order = 7,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/axe_shadow.png',  width = 150,  height = 80,  },
		{ name = 'key',  entityType = 'SpriteEntity',  x = 188,  y = 406,  order = 6,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/key.png',  width = 94,  height = 88,  },
		{ name = 'wire_1',  entityType = 'SpriteEntity',  x = 248,  y = 59,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/wire_1.png',  width = 446,  height = 118,  },
		{ name = 'hook_2',  entityType = 'SpriteEntity',  x = 60,  y = 47,  order = 10,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/hook_2.png',  width = 38,  height = 94,  },
		{ name = 'no_water',  entityType = 'SpriteEntity',  x = 720,  y = 606,  order = 10,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/no_water.png',  width = 198,  height = 104,  },
		{ name = 'pipe_2',  entityType = 'SpriteEntity',  x = 626,  y = 516,  order = 6,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/pipe_2.png',  width = 106,  height = 190,  },
		{ name = 'avtogen',  entityType = 'SpriteEntity',  x = 557,  y = 575,  order = 6,  angle = 67,  scaleX = 0.92,  scaleY = 0.91,  editingLocked = false,  treeItemIsExpanded = true,  hotSpot = {x = 71, y = 83},  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/avtogen.png',  width = 142,  height = 166,  },
		{ name = 'box_2',  entityType = 'SpriteEntity',  x = 181,  y = 91,  order = 4,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/box_2.png',  width = 168,  height = 156,  },
		{ name = 'box_2_open',  entityType = 'SpriteEntity',  x = 204,  y = 152,  order = 13,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/box_2_open.png',  width = 180,  height = 252,  },
		{ name = 'hook_3',  entityType = 'SpriteEntity',  x = 71,  y = 260,  order = 10,  isVisible = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/hook_3.png',  width = 68,  height = 190,  },
		{ name = 'fusebox_open',  entityType = 'SpriteEntity',  x = 508,  y = 430,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/fusebox_open.png',  width = 154,  height = 216,  },
		{ name = 'wire_2',  entityType = 'SpriteEntity',  x = 78,  y = 41,  order = 3,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/wire_2.png',  width = 130,  height = 82,  },
		{ name = 'coal',  entityType = 'SpriteEntity',  x = 156,  y = 407,  order = 7,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/coal.png',  width = 198,  height = 76,  },
		{ name = 'handkerchief',  entityType = 'SpriteEntity',  x = 440,  y = 312,  order = 10,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/handkerchief.png',  width = 74,  height = 90,  },
		{ name = 'form_2',  entityType = 'SpriteEntity',  x = 937,  y = 478,  order = 2,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/form_2.png',  width = 122,  height = 94,  },
		{ name = 'chain_1',  entityType = 'SpriteEntity',  x = 936,  y = 475,  order = 3,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/chain_1.png',  width = 62,  height = 22,  },
		{ name = 'form_1',  entityType = 'SpriteEntity',  x = 193,  y = 99,  order = 14,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/form_1.png',  width = 108,  height = 132,  },
		{ name = 'nut_2_1',  entityType = 'SpriteEntity',  x = 813,  y = 362,  order = 3,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/nut_a_2.png',  width = 66,  height = 60,  },
		{ name = 'nut_2_2',  entityType = 'SpriteEntity',  x = 994,  y = 370,  order = 3,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/nut_b_2.png',  width = 52,  height = 60,  },
		{ name = 'nut_2_3',  entityType = 'SpriteEntity',  x = 822,  y = 535,  order = 3,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/nut_c_2.png',  width = 64,  height = 44,  },
		{ name = 'nut_2_4',  entityType = 'SpriteEntity',  x = 981,  y = 567,  order = 3,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/nut_d_2.png',  width = 84,  height = 48,  },
		{ name = 'pipe_1',  entityType = 'SpriteEntity',  x = 919,  y = 462,  order = 1,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/pipe_1.png',  width = 156,  height = 122,  },
		{ name = 'switcher',  entityType = 'SpriteEntity',  x = 991,  y = 209,  order = 30,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/switcher.png',  width = 170,  height = 416,  },
		{ name = 'cane_open_1',  entityType = 'SpriteEntity',  x = 438,  y = 282,  order = 5,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/cane_open_2.png',  width = 56,  height = 88,  },
		{ name = 'can_opener',  entityType = 'SpriteEntity',  x = 909,  y = 457,  order = 2,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/can_opener.png',  width = 62,  height = 112,  },
		{ name = 'area_drop_ladder',  entityType = 'SpriteEntity',  x = 241,  y = 299,  order = 60,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 100,  height = 150,  },
		{ name = 'area_bbt_drop_axe',  entityType = 'SpriteEntity',  x = 165,  y = 190,  order = 61,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = false,  width = 120,  height = 120,  },
		{ name = 'area_click_coal',  entityType = 'SpriteEntity',  x = 159,  y = 409,  order = 60,  angle = -16,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 146,  height = 70,  },
		{ name = 'area_drop_key',  entityType = 'SpriteEntity',  x = 443,  y = 430,  order = 60,  angle = -16,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 100,  height = 100,  },
		{ name = 'area_drop_switch',  entityType = 'SpriteEntity',  x = 482,  y = 393,  order = 60,  angle = -16,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 100,  height = 100,  },
		{ name = 'area_click_grate',  entityType = 'SpriteEntity',  x = 896,  y = 425,  order = 60,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 250,  height = 250,  },
		{ name = 'area_click_handkerchief',  entityType = 'SpriteEntity',  x = 438,  y = 306,  order = 60,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = false,  width = 100,  height = 100,  },
		{ name = 'area_drop_can_opener',  entityType = 'SpriteEntity',  x = 438,  y = 306,  order = 60,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = false,  width = 100,  height = 100,  },
		{ name = 'tool_avtogen',  entityType = 'SpriteEntity',  x = 507,  y = 272,  order = 0,  isVisible = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Items/tool_avtogen.png',  width = 86,  height = 70,  },
		{ name = 'tool_wrench',  entityType = 'SpriteEntity',  x = 164.667,  y = 210.444,  order = 0,  isVisible = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Items/tool_snapper.png',  width = 104,  height = 50,  },
		{ name = 'tool_ladder',  entityType = 'SpriteEntity',  x = 556,  y = 429,  order = 0,  isVisible = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Items/tool_ladder.png',  width = 40,  height = 70,  },
		{ name = 'tool_axe',  entityType = 'SpriteEntity',  x = 438,  y = 562,  order = 0,  isVisible = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Items/tool_axe.png',  width = 88,  height = 54,  },
		{ name = 'tool_key',  entityType = 'SpriteEntity',  x = 188,  y = 422.667,  order = 0,  isVisible = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Items/tool_key.png',  width = 82,  height = 56,  },
		{ name = 'tool_switch',  entityType = 'SpriteEntity',  x = 250.222,  y = 534.889,  order = 0,  isVisible = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Items/tool_switch.png',  width = 90,  height = 62,  },
		{ name = 'tool_pipe',  entityType = 'SpriteEntity',  x = 916,  y = 450,  order = 0,  isVisible = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Items/tool_pipe.png',  width = 72,  height = 64,  },
		{ name = 'tool_can',  entityType = 'SpriteEntity',  x = 437,  y = 271,  order = 0,  isVisible = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Items/tool_can.png',  width = 38,  height = 64,  },
		{ name = 'tool_can-opener',  entityType = 'SpriteEntity',  x = 915,  y = 447,  order = 0,  isVisible = false,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Items/tool_can-opener.png',  width = 86,  height = 24,  },
		{ name = 'tool_some_tool',  entityType = 'SpriteEntity',  x = 687,  y = 595,  order = 0,  isVisible = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Items/tool_some_tool.png',  width = 60,  height = 60,  },
		{ name = 'tool_hook',  entityType = 'SpriteEntity',  x = 54,  y = 243,  order = 0,  isVisible = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Items/tool_hook.png',  width = 22,  height = 68,  },
		{ name = 'tool_form',  entityType = 'SpriteEntity',  x = 193,  y = 96,  order = 0,  isVisible = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Items/tool_form.png',  width = 50,  height = 64,  },
		{ name = 'tool',  entityType = 'SpriteEntity',  x = 978,  y = 326,  order = 0,  isVisible = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Items/tool.png',  width = 56,  height = 50,  },
		{ name = 'pan',  entityType = 'SpriteEntity',  x = 967,  y = 471,  order = 0,  scale = 0.7,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/HP/20_Water_wheel_Blacksmith/Layers/pan.png',  width = 56,  height = 96,  },
		{ name = 'area_drop_pipe',  entityType = 'SpriteEntity',  x = 615,  y = 455,  order = 65,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = false,  width = 100,  height = 100,  },
		{ name = 'area_drop_axe',  entityType = 'SpriteEntity',  x = 165,  y = 190,  order = 60,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = false,  width = 120,  height = 120,  },
		{ name = 'area_zoom_Water',  entityType = 'SpriteEntity',  x = 719,  y = 592,  order = 60,  angle = 25,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 160,  height = 100,  },
		{ name = 'area_zoom_Stove',  entityType = 'SpriteEntity',  x = 896,  y = 425,  order = 60,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 250,  height = 250,  },
		{ name = 'area_drop_wrench_1',  entityType = 'SpriteEntity',  x = 805,  y = 354,  order = 80,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = false,  width = 80,  height = 80,  },
		{ name = 'area_drop_wrench_2',  entityType = 'SpriteEntity',  x = 990,  y = 355,  order = 80,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = false,  width = 80,  height = 80,  },
		{ name = 'area_drop_wrench_3',  entityType = 'SpriteEntity',  x = 809,  y = 524,  order = 80,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = false,  width = 80,  height = 80,  },
		{ name = 'area_drop_wrench_4',  entityType = 'SpriteEntity',  x = 968,  y = 557,  order = 80,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = false,  width = 80,  height = 80,  },
		{ name = 'area_click_handle',  entityType = 'SpriteEntity',  x = 673,  y = 426,  order = 65,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = false,  width = 150,  height = 120,  },
		{ name = 'area_drop_cane_open_1',  entityType = 'SpriteEntity',  x = 891.783,  y = 170.261,  order = 60,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  hotSpot = {x = 100, y = 100},  width = 200,  height = 200,  },
		{ name = 'area_drop_hook',  entityType = 'SpriteEntity',  x = 198,  y = 119,  order = 60,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 200,  height = 200,  },
		{ name = 'area_click_switcher',  entityType = 'SpriteEntity',  x = 980.739,  y = 234.609,  order = 65,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = false,  hotSpot = {x = 75, y = 75},  width = 150,  height = 150,  },
		{ name = 'area_drop_avtogen',  entityType = 'SpriteEntity',  x = 55,  y = 215,  order = 80,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = false,  width = 100,  height = 400,  },
		{ name = '20_HP_bg',  entityType = 'CompositionContainer',  x = -171,  y = 0,  order = 5,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  path = 'Data/Scripts/HP/20_Water_wheel_Blacksmith/Animations/20_HP_bg.lua',  },
		{ name = 'compositionBG',  entityType = 'CompositionSequence',  parentName = '20_HP_bg',  x = 0,  y = 0,  order = 1,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = false,  isCyclic = true,  speed = 1,  },
		{ name = 'compositionHook',  entityType = 'CompositionSequence',  parentName = '20_HP_bg',  x = 0,  y = 0,  order = 3,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = false,  isCyclic = true,  speed = 1,  },
		{ name = 'compositionConveer',  entityType = 'CompositionSequence',  parentName = '20_HP_bg',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'compositionNasos',  entityType = 'CompositionSequence',  parentName = '20_HP_bg',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'compositionTopor',  entityType = 'CompositionSequence',  parentName = '20_HP_bg',  x = 0,  y = 0,  order = 0,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'compositionboloto',  entityType = 'CompositionSequence',  parentName = '20_HP_bg',  x = 0,  y = 0,  order = 1,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = false,  isCyclic = true,  speed = 1,  },
		{ name = 'compositiongaika_1',  entityType = 'CompositionSequence',  parentName = '20_HP_bg',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'compositiongaika_2',  entityType = 'CompositionSequence',  parentName = '20_HP_bg',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'compositiongaika_3',  entityType = 'CompositionSequence',  parentName = '20_HP_bg',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'compositiongaika_4',  entityType = 'CompositionSequence',  parentName = '20_HP_bg',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'compositionsafe',  entityType = 'CompositionSequence',  parentName = '20_HP_bg',  x = 0,  y = 0,  order = 2,  isVisible = false,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'area_click_switch',  entityType = 'SpriteEntity',  x = 482,  y = 393,  order = 60,  angle = -16,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 100,  height = 100,  },
		{ name = '20_HP_cat_bg',  entityType = 'CompositionContainer',  x = 0,  y = 0,  order = 10,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  path = 'Data/Scripts/HP/20_Water_wheel_Blacksmith/Animations/20_HP_cat_bg.lua',  },
		{ name = 'compositioncat_eats',  entityType = 'CompositionSequence',  parentName = '20_HP_cat_bg',  x = -171,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'compositioncat_idle',  entityType = 'CompositionSequence',  parentName = '20_HP_cat_bg',  x = 802,  y = 85,  order = 0,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = false,  isCyclic = true,  speed = 1,  },
	}
	return objects
end
